# $Id: smeserver-unjunkmgr.spec,v 1.1 2010/06/02 14:15:00 slords Exp $
# Authority: 
# Name: Jesper Knudsen

Summary: SME Server UnJunk Manager
%define name smeserver-unjunkmgr
%define version 2.0
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 7.0
Requires: perl-MIME-Lite => 3
Requires: perl-DateManip => 5.40
Requires: mrtg

%changelog
* Wed Jun 02 2010 Shad L. Lords <slords@mail.com> 2.0-1.sme
- Clean up spec for importing into CVS

* Thu Jun 4 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.1.3-1
- Added top spammed email stats in GUI and updated CSS to show nicely in IE
- Fixed problem using unjunkhost confg parameter

* Fri Apr 3 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.1.0-2
- Fixed error in spamreminder.pl line 112 

* Thu Apr 2 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.1.0-1
- Updated to submit statistics more randomly over the hour to avoid congestion on central
- Add pie charts on stats
- Add more configuration options

* Thu Aug 28 2008 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.1-1
- Updated spamreminder.pl to allow non-exisitng Subject fields
- Made dependency of MRTG for RPM
- Make sure to cleanup during un-install

* Fri Aug 22 2008 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.0-1
- First release

%description
SME Server 7x UnJunk Manager which scan the individual users junkmail folders and
sends out a weekly summary where they can unjunk the emails

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
